package com.uas.finance.erp.model;

import com.uas.finance.model.MFCustInfoDetail;

/**
 * 买方客户明细
 * created by shicr on 2017/12/29
 **/
public class PurcCustInfoDetail {

    /**
     * ID
     */
    private Long id;

    /**
     * 年度
     */
    private Integer mfd_year;

    /**
     * 购买总额
     */
    private Double mfd_amount;

    /**
     * 赊账总额
     */
    private Double mfd_chargeamount;

    /**
     * 折扣金额
     */
    private Double mfd_discountamount;

    /**
     * 有无逾期
     */
    private String mfd_overdue;


    /**
     * 买方信息id
     */
    private Long mfId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getMfd_year() {
        return mfd_year;
    }

    public void setMfd_year(Integer mfd_year) {
        this.mfd_year = mfd_year;
    }

    public Double getMfd_amount() {
        return mfd_amount;
    }

    public void setMfd_amount(Double mfd_amount) {
        this.mfd_amount = mfd_amount;
    }

    public Double getMfd_chargeamount() {
        return mfd_chargeamount;
    }

    public void setMfd_chargeamount(Double mfd_chargeamount) {
        this.mfd_chargeamount = mfd_chargeamount;
    }

    public Double getMfd_discountamount() {
        return mfd_discountamount;
    }

    public void setMfd_discountamount(Double mfd_discountamount) {
        this.mfd_discountamount = mfd_discountamount;
    }

    public String getMfd_overdue() {
        return mfd_overdue;
    }

    public void setMfd_overdue(String mfd_overdue) {
        this.mfd_overdue = mfd_overdue;
    }

    public Long getMfId() {
        return mfId;
    }

    public void setMfId(Long mfId) {
        this.mfId = mfId;
    }

    public PurcCustInfoDetail(MFCustInfoDetail mfCustInfoDetail) {
        this.id = mfCustInfoDetail.getId();
        this.mfd_year = mfCustInfoDetail.getMfd_year();
        this.mfd_amount = mfCustInfoDetail.getMfd_amount();
        this.mfd_chargeamount = mfCustInfoDetail.getMfd_chargeamount();
        this.mfd_discountamount = mfCustInfoDetail.getMfd_discountamount();
        this.mfd_overdue = mfCustInfoDetail.getMfd_overdue();
        this.mfId = mfCustInfoDetail.getMfId();
    }
}
